jackrabbit-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jukka Zitting <jukka.zitt...@gmail.com>
Subject Re: JCR query command line client
Date Wed, 10 Feb 2010 17:14:22 GMT
Hi,

2010/2/10 Fabián Mandelbaum <fmandelbaum@gmail.com>:
> OTOH, you mention JR 2.x jars, my repo is JR 1.4.x, will the 2.x jars
> work fine with it? (I can test before I ask, but better be safe than
> sorry, even if I can backup the whole folder before attempting
> anything ;-))

Yes, Jackrabbit 2.x should be able to open and use 1.x repositories.
However, Jackrabbit 2.x will automatically upgrade certain aspects of
the repository data structures, so you won't be able to go back to
1.x.

If you can't upgrade to 2.x yet, you can still use the WebDAV remoting
layer to connect to the repository from 2.x clients.

BR,

Jukka Zitting

Mime
View raw message